const
	maxn = 100000;
var
	i, n, c, dc, p: longint;
	a: array [1..maxn] of longint;
begin
	randseed := 23123890;

	n := 100000;
	dc := 900000000;
	c := 10000;
	p := 10;
	a[1] := dc + random(c) + 1;
	for i := 2 to n do begin
		if random(p) = 0 then
			a[i] := dc + random(c) + 1
		else
			a[i] := a[i - 1];
	end;

	writeln(n);
	for i := 1 to n do begin
		write(a[i]);
		if (i < n) then
			write(' ');
	end;
	writeln;
end.